# awesome-data-labeling

A curated list of awesome data labeling tools

#### Images

* [labelImg](https://github.com/tzutalin/labelImg) - LabelImg is a graphical image annotation tool and label object bounding boxes in images
* [CVAT](https://github.com/opencv/cvat) - Powerful and efficient Computer Vision Annotion Tool
* [labelme](https://github.com/wkentaro/labelme) - Image Polygonal Annotation with Python
* [VoTT](https://github.com/microsoft/VoTT) - An open source annotation and labeling tool for image and video assets
* [imglab](https://github.com/NaturalIntelligence/imglab) - A web based tool to label images for objects that can be used to train dlib or other object detectors
* [Yolo_mark](https://github.com/AlexeyAB/Yolo_mark) - GUI for marking bounded boxes of objects in images for training neural network Yolo v3 and v2
* [PixelAnnotationTool](https://github.com/abreheret/PixelAnnotationTool) - Software that allows you to manually and quickly annotate images in directories
* [OpenLabeling](https://github.com/Cartucho/OpenLabeling) - Label images and video for Computer Vision applications
* [imagetagger](https://github.com/bit-bots/imagetagger) - An open source online platform for collaborative image labeling
* [Alturos.ImageAnnotation](https://github.com/AlturosDestinations/Alturos.ImageAnnotation) - A collaborative tool for labeling image data
* [deeplabel](https://github.com/jveitchmichaelis/deeplabel) - A cross-platform image annotation tool for machine learning
* [MedTagger](https://github.com/medtagger/MedTagger) - A collaborative framework for annotating medical datasets using crowdsourcing.
* [Labelbox](https://github.com/Labelbox/Labelbox) - Labelbox is the fastest way to annotate data to build and ship computer vision applications
* [turktool](https://github.com/jaxony/turktool) - A modern React app for scalable bounding box annotation of images
* [Pixie](https://github.com/buni-rock/Pixie) - Pixie is a GUI annotation tool which provides the bounding box, polygon, free drawing and semantic segmentation object labelling
* [OpenLabeler](https://github.com/kinhong/OpenLabeler) - OpenLabeler is an open source desktop application for annotating objects for AI appplications
* [Anno-Mage](https://github.com/virajmavani/semi-auto-image-annotation-tool) - A Semi Automatic Image Annotation Tool which helps you in annotating images by suggesting you annotations for 80 object classes using a pre-trained model
* [CATMAID](https://github.com/catmaid/CATMAID) - Collaborative Annotation Toolkit for Massive Amounts of Image Data
* [make-sense](https://github.com/SkalskiP/make-sense) - makesense.ai is a free to use online tool for labelling photos
* [LOST](https://github.com/l3p-cv/lost) - Design your own smart Image Annotation process in a web-based environment
* [Annotorious](https://github.com/recogito/annotorious) - A JavaScript library for image annotation.
* [Sloth](https://github.com/cvhciKIT/sloth) - Tool for labeling image and video data for computer vision research.


#### Text
* [YEDDA](https://github.com/jiesutd/YEDDA) - A Lightweight Collaborative Text Span Annotation Tool (Chunking, NER, etc.). ACL best demo nomination.
* [ML-Annotate](https://github.com/planbrothers/ml-annotate) - Label text data for machine learning purposes. ML-Annotate supports binary, multi-label and multi-class labeling.
* [TagEditor](https://github.com/d5555/TagEditor) - Annotation tool for spaCy
* [SMART](https://github.com/RTIInternational/SMART) - Smarter Manual Annotation for Resource-constrained collection of Training data
* [PIAF](https://github.com/etalab/piaf) - A Question-Answering annotation tool
* [Student Voice](https://www.studentvoice.ai) - Free text labelling for education

#### Audio

* [EchoML](https://github.com/ritazh/EchoML) - Play, visualize, and annotate your audio files
* [audio-annotator](https://github.com/CrowdCurio/audio-annotator) - A JavaScript interface for annotating and labeling audio files.
* [audio-labeler](https://github.com/hipstas/audio-labeler) - An in-browser app for labeling audio clips at random, using Docker and Flask.
* [wavesurfer.js](https://github.com/katspaugh/wavesurfer.js) - Simple annotations tool, check the example.
* [peak.js](https://github.com/bbc/peaks.js) - Browser-based audio waveform visualisation and UI component for interacting with audio waveforms, developed by BBC UK.
* [Praat](https://github.com/praat/praat) - Doing Phonetics By Computer
* [Aubio](https://aubio.org/) - Tool designed for the extraction of annotations from audio signals.

#### Video 

* [UltimateLabeling](https://github.com/alexandre01/UltimateLabeling) - A multi-purpose Video Labeling GUI in Python with integrated SOTA detector and tracker
* [VATIC](https://github.com/cvondrick/vatic) - VATIC is an online video annotation tool for computer vision research that crowdsources work to Amazon's Mechanical Turk.

#### Time Series

* [Curve](https://github.com/baidu/Curve) - Curve is an open-source tool to help label anomalies on time-series data
* [TagAnomaly](https://github.com/Microsoft/TagAnomaly) - Anomaly detection analysis and labeling tool, specifically for multiple time series (one time series per category)
* [time-series-annotator](https://github.com/CrowdCurio/time-series-annotator) - The CrowdCurio Time Series Annotation Library implements classification tasks for time series.
* [WDK](https://github.com/avenix/WDK) - The Wearables Development Toolkit (WDK) is a set of tools to facilitate the development of activity recognition applications with wearable devices.

#### 3D

* [webKnossos](https://github.com/scalableminds/webknossos) - webKnossos is an open-source web-based tool for visualizing, annotating, and sharing large 3D image datasets. It features fast 3D data browsing, skeleton (line-segment) annotations, segmentation and proof-reading tools, mesh visualization, and collaboration features. The public instance [webknossos.org](https://webknossos.org) hosts a collection of published datasets and can be used without a local setup.
* [KNOSSOS](https://github.com/knossos-project/knossos) - KNOSSOS is a software tool for the visualization and annotation of 3D image data and was developed for the rapid reconstruction of neural morphology and connectivity.

#### Lidar

* [semantic-segmentation-editor](https://github.com/Hitachi-Automotive-And-Industry-Lab/semantic-segmentation-editor) - Web labelling tool for camera and LIDAR data

#### MultiDomain

* [Label Studio](https://github.com/heartexlabs/label-studio) - Label Studio is a configurable data annotation tool that works with different data types
* [Dataturks](https://dataturks.com/) - Dataturks support E2E tagging of data items like video, images (classification, segmentation and labelling) and text (full length document annotations for PDF, Doc, Text etc) for ML projects.
